GinqAstBuilder (Groovy 4.0.15)

Package: org.apache.groovy.ginq.dsl

## [Java] Class GinqAstBuilder

- org.apache.groovy.ginq.dsl.GinqAstBuilder

- All Implemented Interfaces and Traits:
    SyntaxErrorReportable

      public class GinqAstBuilder
      extends CodeVisitorSupport
      implements SyntaxErrorReportable

  Build the AST for GINQ

  Since:
    4.0.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static String` | `GINQ_SELECT_DISTINCT` |
    `static String` | `ROOT_GINQ_EXPRESSION` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GinqAstBuilder(SourceUnit sourceUnit)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public AbstractGinqExpression` | `buildAST(ASTNode astNode)`
    `` | `public SourceUnit` | `getSourceUnit()`
    `` | `public void` | `visitArgumentlistExpression(ArgumentListExpression expression)`
    `` | `public void` | `visitBinaryExpression(BinaryExpression expression)`
    `` | `public void` | `visitCastExpression(CastExpression expression)`
    `` | `public void` | `visitDeclarationExpression(DeclarationExpression expression)`
    `` | `public void` | `visitMethodCallExpression(MethodCallExpression call)`
    `` | `public void` | `visitMethodCallExpression(MethodCallExpression call)`
    `` | `public void` | `visitPropertyExpression(PropertyExpression expression)`
    `` | `public void` | `visitVariableExpression(VariableExpression expression)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class CodeVisitorSupport` | `afterSwitchConditionExpressionVisited, visitArgumentlistExpression, visitArrayExpression, visitAssertStatement, visitAttributeExpression, visitBinaryExpression, visitBitwiseNegationExpression, visitBlockStatement, visitBooleanExpression, visitBreakStatement, visitBytecodeExpression, visitCaseStatement, visitCastExpression, visitCatchStatement, visitClassExpression, visitClosureExpression, visitClosureListExpression, visitConstantExpression, visitConstructorCallExpression, visitContinueStatement, visitDeclarationExpression, visitDoWhileLoop, visitEmptyStatement, visitExpressionStatement, visitFieldExpression, visitForLoop, visitGStringExpression, visitIfElse, visitLambdaExpression, visitListExpression, visitMapEntryExpression, visitMapExpression, visitMethodCallExpression, visitMethodPointerExpression, visitMethodReferenceExpression, visitNotExpression, visitPostfixExpression, visitPrefixExpression, visitPropertyExpression, visitRangeExpression, visitReturnStatement, visitShortTernaryExpression, visitSpreadExpression, visitSpreadMapExpression, visitStaticMethodCallExpression, visitSwitch, visitSynchronizedStatement, visitTernaryExpression, visitThrowStatement, visitTryCatchFinally, visitTupleExpression, visitUnaryMinusExpression, visitUnaryPlusExpression, visitVariableExpression, visitWhileLoop`

- - ### Field Detail

    - #### public static final String GINQ_SELECT_DISTINCT

    - #### public static final String ROOT_GINQ_EXPRESSION

  - ### Constructor Detail

    - #### public GinqAstBuilder(SourceUnit sourceUnit)

  - ### Method Detail

    - #### public AbstractGinqExpression buildAST(ASTNode astNode)

    - #### @Override
      public SourceUnit getSourceUnit()

    - #### @Override
      public void visitArgumentlistExpression(ArgumentListExpression expression)

    - #### @Override
      public void visitBinaryExpression(BinaryExpression expression)

    - #### @Override
      public void visitCastExpression(CastExpression expression)

    - #### @Override
      public void visitDeclarationExpression(DeclarationExpression expression)

    - #### @Override
      public void visitMethodCallExpression(MethodCallExpression call)

    - #### @Override
      public void visitMethodCallExpression(MethodCallExpression call)

    - #### @Override
      public void visitPropertyExpression(PropertyExpression expression)

    - #### @Override
      public void visitVariableExpression(VariableExpression expression)